org.omg.PortableServer

## Interface IdAssignmentPolicy

- All Superinterfaces:
    IdAssignmentPolicyOperations, IDLEntity, Object, Policy, PolicyOperations, Serializable

      public interface IdAssignmentPolicy
      extends IdAssignmentPolicyOperations, Policy, IDLEntity

  IdAssignmentPolicy specifies whether Object Ids in the created POA are generated by the application or by the ORB. The default is SYSTEM_ID.

- - ### Method Summary

    - ### Methods inherited from interface org.omg.PortableServer.IdAssignmentPolicyOperations

      `value`

    - ### Methods inherited from interface org.omg.CORBA.PolicyOperations

      `copy, destroy, policy_type`

    - ### Methods inherited from interface org.omg.CORBA.Object

      `_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.